package com.docus.server.collect.user.http;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.collect.IHttpResult;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 被动http结果
 */
@Component("httpUserResultImpl")
public class HttpUserResultImpl implements IHttpResult {

    @Override
    public CommonResult ok(Map<String, Object> params) {
        return CommonResult.success("ok");
    }

    @Override
    public CommonResult fail(Map<String, Object> params) {
        return CommonResult.failed("fail");
    }
}
